
local tlfres = require("tlfres")
local LovelyToasts = require("lovelyToasts")
local timer = require("timer")

local CANVAS_WIDTH = 1920
local CANVAS_HEIGHT = 1080

function love.load()
	function showToasts()
		LovelyToasts.options.queueEnabled = true
		LovelyToasts.show("This is a Lövely bottom toast :)", 2, "bottom")
		LovelyToasts.show("This is a Lövely middle toast :)", 2, "middle")
		LovelyToasts.show("This is a Lövely top toast :)", 2, "top")
	end

	timer.new(1, false, showToasts)
end

function love.update(dt)
	timer.update(dt)
	LovelyToasts.update(dt)
end

function love.draw()
	tlfres.beginRendering(CANVAS_WIDTH, CANVAS_HEIGHT)
	tlfres.endRendering()
	love.graphics.setBackgroundColor(1, 1, 1)
	LovelyToasts.draw()
end

function love.mousereleased(x, y, button)
	LovelyToasts.mousereleased(x, y, button)
end
